1

NOTE: This error seems to be only cosmetic, and the commands work just fine despite the error.

After upgrading from 18.04 to 20.04, running lxc as a non-root user gives the following error:

$ lxc list
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (failed to map segment from shared object): ignored.
+---------+---------+---------------------+------+-----------+-----------+
|  NAME   |  STATE  |        IPV4         | IPV6 |   TYPE    | SNAPSHOTS |
+---------+---------+---------------------+------+-----------+-----------+
| mysql   | RUNNING | ---.---.-.-- (eth0) |      | CONTAINER | 0         |
+---------+---------+---------------------+------+-----------+-----------+
$ lxc exec mysql bash
ERROR: ld.so: object 'libgtk3-nocsd.so.0' from LD_PRELOAD cannot be preloaded (failed to map segment from shared object): ignored.
root@mysql:~# 

This only happens when I'm not running the commands as root. If I run under sudo, then the commands run without error.

Any suggestions of something to look at?

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 20.04.1 LTS
Release:    20.04
Codename:   focal

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.